Summary: Revision Control System (RCS) file version management tools.
Name: rcs
Version: 5.7
Release: 26
License: GPL
Group: Development/Tools
Source: ftp://prep.ai.mit.edu:/pub/gnu/%{name}-%{version}.tar.gz
Patch: rcs-5.7-stupidrcs.patch
Patch1: rcs-5.7-security.patch
Patch2: rcs-5.7-sameuserlocks.patch
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The Revision Control System (RCS) is a system for managing multiple
versions of files.  RCS automates the storage, retrieval, logging,
identification and merging of file revisions.  RCS is useful for text
files that are revised frequently (for example, programs,
documentation, graphics, papers and form letters).

The rcs package should be installed if you need a system for managing
different versions of files.

%prep
%setup -q
%patch0 -p1 -b .stupidrcs
%patch1 -p1 -b .security
%patch2 -p1 -b .sameuserlocks

autoconf

%build

%configure --with-diffutils

touch src/conf.h
make

%install
rm -rf ${RPM_BUILD_ROOT}

#make prefix=${RPM_BUILD_ROOT}/%{_prefix} install
%makeinstall man1dir=${RPM_BUILD_ROOT}%{_mandir}/man1 man5dir=${RPM_BUILD_ROOT}%{_mandir}/man5

%files
%defattr(-,root,root)
%doc NEWS REFS
%{_bindir}/*
%{_mandir}/man[15]/*

%clean
rm -rf ${RPM_BUILD_ROOT}

%changelog
* Tue Sep 21 2004 Phil Knirsch <pknirsch@redhat.com> 5.7-26
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com> 5.7-25
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com> 5.7-24
- rebuilt

* Wed Feb 04 2004 Phil Knirsch <pknirsch@redhat.com> 5.7-23
- Switched copyright to license. :-)

* Fri Oct 31 2003 Phil Knirsch <pknirsch@redhat.com> 5.7-22
- Included sameuserlocks patch from James Olin Oden (#107947).

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 5.7-19
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Jan 05 2001 Preston Brown <pbrown@redhat.com>
- tmpfile security patch from Olaf Kirch <okir@lst.de>

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 15 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the spec file; added BuildRoot

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
-built against glibc
